/* Palvelut 2024 */

.uk-navbar-nav > li {
  position: static;
}
.uk-dropdown {
  width: 100%;
  left: 0;
  top: auto !important;
  border: none;
  background-color: transparent;
}
.uk-dropdown .sub-menu {
  display: flex;
  justify-content: space-between; 
  column-gap: 60px;
}
.uk-dropdown > .sub-menu {
  padding: var(--margin-front-page-content);
  background-color: var(--color-background-light);
}
.uk-dropdown > .sub-menu > * {
  width: 25%; 
}
.uk-dropdown > .sub-menu > li > a {
  margin-bottom: 1.5em;
  text-decoration: none !important;
  cursor: default;
}
.uk-dropdown .sub-menu .sub-menu {
  flex-direction: column;
}
.uk-dropdown .sub-menu li a {
  font-size: 14px;
  color: #000;
  text-transform: uppercase;
  font-weight: 400;
}
.uk-dropdown .sub-menu .sub-menu li a {
  font-size: 18px;
  color: #000;
  text-transform: none;
  font-weight: 300;
}

.uk-dropdown .sub-menu .sub-menu li a:hover,
.uk-dropdown .sub-menu .sub-menu li a:active {
   text-decoration: none !important;
   font-weight: 400;
   letter-spacing: -0.03em;
}

ul.uk-nav-sub {
  padding-left: 0;
}
.uk-dropdown-navbar .uk-nav a,
.uk-nav > li > a {
  padding: 0;
}

.uk-dropdown-navbar .uk-nav a:hover,  .uk-dropdown-navbar .uk-nav a:active
.uk-nav-dropdown > li > a:hover, .uk-nav-dropdown > li > a:focus {
  background: transparent;
  color: #000;
}

.uk-dropdown-navbar .sub-menu.uk-nav {
  margin-top: 0;
}

.kaskas-newsletter-2023 {
  position: relative;
  z-index: 1100;
}

.kaskas-newsletter-2023 {
  display: none;
}

.kaskas-newsletter-2024 {
  display: block;
}

@media (max-width: 959px) {
  .kaskas-newsletter-2024 {
	display: none;
  }
}

.uk-offcanvas-bar {
  background: var(--color-background-light);
}
.kaskas-close-button {
  -webkit-text-stroke: 7px var(--color-background-light);
}

.uk-nav-offcanvas .lang-item,
.uk-nav-offcanvas .menu-item {
  margin-top: 0;
}

.uk-nav-offcanvas .lang-item a,
.uk-nav-offcanvas .menu-item a {
  font-size: var(--font-size-p);
  line-height: 1.18;
  text-transform: none;
  letter-spacing: normal;
  border-bottom: none;
}

.uk-nav-offcanvas .lang-item.current-lang  a,
.uk-nav-offcanvas .menu-item.current-menu-item a {
  font-weight: 400;
}

.uk-nav-offcanvas .lang-item {
  padding-bottom: 0;
}

.uk-nav-offcanvas .lang-item a {
  text-transform: uppercase;
}

.kaskas-background-xdark {
  background-color: var(--color-background-xdark);
}
.kaskas-background-xdark p,
.kaskas-background-xdark h2,
.kaskas-background-xdark {
  color: #fff;
}

.kaskas-background-xdark .kaskas-form input[type="submit"], .kaskas-background-xdark .uk-button, .kaskas-background-xdark .wp-block-button__link {
  box-shadow: inset 0 -8px 0 0 #fff;
  color: #fff !important;
}
.kaskas-background-xdark .kaskas-form input[type="submit"]:hover, .kaskas-background-xdark .uk-button:hover, .kaskas-background-xdark .wp-block-button__link:hover {
  box-shadow: inset 0 -100px 0 0 #fff;
  color: #000 !important;
}

.kaskas-services-2024 {
  row-gap: 90px;
}
.kaskas-services-2024 > * {
}
 
.kaskas-services-2024 a.blog-read-more {
   font-weight: 300;
   margin-top: 0.5em;
} 

p + .kaskas-content-newsletter {
  margin-top: var(--margin-content);
}
.kaskas-service-boxes {
  margin-top: var(--margin-content);
  display: flex;
}

.kaskas-content-newsletter,
.kaskas-service-boxes {
  margin-left: calc( (100% - ( var(--content-wide-width) - 2 * var(--margin-front-page-content))) / 2 );
  margin-right: calc( (100% - ( var(--content-wide-width) - 2 * var(--margin-front-page-content))) / 2 );
}

@media (max-width: 1024px) {
  .kaskas-content-newsletter,
  .kaskas-service-boxes {
    margin-left: 0;
    margin-right: 0;
  }
}

.kaskas-service-boxes > * {
  padding: calc(var(--margin-front-page-content) / 2) var(--margin-front-page-content);
}

.kaskas-content-newsletter {
  padding: var(--margin-front-page-content);
}

.kaskas-service-boxes > *:first-child {
  background-color: var(--color-background-dark); 
  width: 45%; 
}

.kaskas-service-boxes > *:last-child {
  background-color: transparent; 
  width: 65%; 
}

.kaskas-service-blogs {
  border-top: solid 3px var(--color-background-dark);
  margin-bottom: 2em;
}

/* checbox & radio custom styles */

input[type=radio],
input[type=checkbox] {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

input[type=radio]+span,
input[type=checkbox]+span {
  display: flex;
  align-items: center;
  position: relative;
  padding-left: 30px;
  margin-bottom: 12px;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  line-height: 2em;
}

input[type=radio]+span::before,
input[type=checkbox]+span::before {
  content: "";
  position: absolute;
  left: 0;
  height: 21px;
  width: 21px;
  background-color: transparent;
  border: solid 1px #000;
}

.kaskas-background-xdark input[type=radio]+span::before,
.kaskas-background-xdark input[type=checkbox]+span::before {
  border: solid 1px #FFF;
}

input[type=checkbox]+span::before,
input[type=radio]+span::before {
  border-radius: 100%;
}

input[type=radio]+span::after,
input[type=checkbox]+span::after {
  content: "";
  position: absolute;
  display: none;
  left: 6px;
  width: 11px;
  height: 11px;
  background-color: #000;
}

.kaskas-background-xdark input[type=radio]+span::after,
.kaskas-background-xdark input[type=checkbox]+span::after {
  background-color: #FFF;
}

input[type=checkbox]+span::after,
input[type=radio]+span::after {
  border-radius: 100%;
}

input[type=radio]:checked+span::after,
input[type=checkbox]:checked+span::after {
  display: block;
}

.wpcf7-list-item {
  display: block;
  margin: 0;	
}

.kaskas-form input[type="submit"] {
  width: auto;
  float: left;
}

.kaskas-form > *:first-child {
  margin-top: 0;
}

.wpcf7-not-valid-tip {
  margin-top: 0.25em;
  color: #EC6AC4;
}

/*
#cmplz-cookiebanner-container {
  display: none;
}

.logged-in #cmplz-cookiebanner-container {
  display: block;
}
*/

.cf7-cf-turnstile ~ .wpcf7-submit {
  margin-top: -2.5em;
}

@media (max-width: 1024px) {
  .kaskas-service-boxes {
	margin-left: 0;
	margin-right: 0;
  }
}

@media (max-width: 767px) {

  .kaskas-service-boxes {
	flex-wrap: wrap;
  }
  .kaskas-service-boxes > * {
	width: 100% !important;
  }
  .kaskas-services-2024 {
    row-gap: 20px;
  }
}
